DataBolsa docs
Referência da APIDados de mercadoRenda fixa

Títulos do Tesouro Direto (taxas e preços)

GET
/v1/bonds/tesouro
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string
limit?integer
Default100
Range1 <= value <= 1000
type?string

Tipo do título: LTN (prefixado), NTN-F (prefixado c/ juros), NTN-B(-Principal) (IPCA+), LFT (Selic), RENDA+, EDUCA+.

Value in"LTN" | "NTN-F" | "NTN-B" | "NTN-B-Principal" | "LFT" | "RENDA+" | "EDUCA+"
maturity?string

Filtra por vencimento (YYYY-MM-DD).

Match^\d{4}-\d{2}-\d{2}$
date?string

Data de referência das taxas/preços (default: mais recente).

Match^\d{4}-\d{2}-\d{2}$

Response Body

curl -X GET "https://api.databolsa.com/v1/bonds/tesouro?cursor=string&limit=100&type=LTN&maturity=string&date=string"
{
  "data": [
    {
      "type": "string",
      "name": "string",
      "maturity": "string",
      "date": "string",
      "buy_rate": 0,
      "sell_rate": 0,
      "buy_price": 0,
      "sell_price": 0,
      "is_negotiable": true,
      "coupon": "unique",
      "min_investment": 0,
      "live_buy_rate": 0,
      "live_sell_rate": 0,
      "live_buy_price": 0,
      "live_sell_price": 0,
      "priced_at": "string"
    }
  ],
  "meta": {
    "next_cursor": "string",
    "count": 0
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}